InvalidKeyException (Java SE 9 & JDK 9 )
Keywords: java.security.InvalidKeyException class

Module java.base
Package java.security

## Class InvalidKeyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.KeyException
        - - java.security.InvalidKeyException

- All Implemented Interfaces:
    `Serializable`

      public class InvalidKeyException
      extends KeyException

  This is the exception for invalid Keys (invalid encoding, wrong length, uninitialized, etc).
  Since:
    1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidKeyException​()` | Constructs an InvalidKeyException with no detail message.
    `InvalidKeyException​(String msg)` | Constructs an InvalidKeyException with the specified detail message.
    `InvalidKeyException​(String message, Throwable cause)` | Creates an `InvalidKeyException` with the specified detail message and cause.
    `InvalidKeyException​(Throwable cause)` | Creates an `InvalidKeyException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### InvalidKeyException

          public InvalidKeyException​()

      Constructs an InvalidKeyException with no detail message. A detail message is a String that describes this particular exception.

    - #### InvalidKeyException

          public InvalidKeyException​(String msg)

      Constructs an InvalidKeyException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `msg` - the detail message.

    - #### InvalidKeyException

          public InvalidKeyException​(String message,
                                     Throwable cause)

      Creates an `InvalidKeyException` with the specified detail message and cause.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

    - #### InvalidKeyException

          public InvalidKeyException​(Throwable cause)

      Creates an `InvalidKeyException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5